dropbearconvert(1)

NAME
dropbearconvert - convert between Dropbear and OpenSSH private key formats

SYNOPSIS
dropbearconvert input_type output_type input_file output_file

DESCRIPTION
Dropbear and OpenSSH SSH implementations have different private key formats. dropbearconvert can convert between the two.

Dropbear uses the same SSH public key format as OpenSSH, it can be extracted from a private key by using dropbearkey -y

Encrypted private keys are not supported, use ssh-keygen(1) to decrypt them first.

ARGUMENTS

input_type
    Either dropbear or openssh

output_type
    Either dropbear or openssh

input_file
    An existing Dropbear or OpenSSH private key file

output_file
    The path to write the converted private key file. For client authentication ~/.ssh/id_dropbear is loaded by default

SUPPORTED FORMATS
dropbearconvert can read OpenSSH format files, and older PEM format files ( ssh-keygen -m PEM ). dropbearconvert will write OpenSSH format files, usable with OpenSSH 6.5 and later. Reading OpenSSH format DSS files or PKCS8 files is not currently supported.

EXAMPLE
 # dropbearconvert openssh dropbear ~/.ssh/id_rsa ~/.ssh/id_dropbear

AUTHOR
Matt Johnston (matt@ucc.asn.au).

SEE ALSO
 dropbearkey(1), ssh-keygen(1)

https://matt.ucc.asn.au/dropbear/dropbear.html